new_allocator.h File Reference

Go to the source code of this file.

## Classes

class | std::__new_allocator< _Tp >

## Namespaces

namespace | std

## Macros

#define | _GLIBCXX_OPERATOR_DELETE
#define | _GLIBCXX_OPERATOR_NEW
#define | _GLIBCXX_SIZED_DEALLOC(p, n)

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <memory>.

Definition in file bits/new_allocator.h.

## Macro Definition Documentation

## _GLIBCXX_OPERATOR_DELETE

#define _GLIBCXX_OPERATOR_DELETE

Definition at line 120 of file bits/new_allocator.h.

## _GLIBCXX_OPERATOR_NEW

#define _GLIBCXX_OPERATOR_NEW

Definition at line 119 of file bits/new_allocator.h.